/*************************************************************************
Title........ dma.h
Date......... Wed Jul 14 11:00:12  1999
Author....... J.M.Tarrant
*************************************************************************/

/****	Defines */

	#define	DMA1_BASE SIM40_BASE+0x780
	#define	DMA1_MCR	REGW(DMA1_BASE+0x00)
	#define	DMA1_IR		REGW(DMA1_BASE+0x04)
	#define	DMA1_CCR	REGW(DMA1_BASE+0x08)
	#define	DMA1_CSR	REGB(DMA1_BASE+0x0A)
	#define	DMA1_FCR	REGB(DMA1_BASE+0x0B)
	#define	DMA1_SADR	REGL(DMA1_BASE+0x0C)
	#define	DMA1_DADR	REGL(DMA1_BASE+0x10)
	#define	DMA1_BTC	REGL(DMA1_BASE+0x14)


	#define	DMA2_BASE 	SIM40_BASE+0x7A0
	#define	DMA2_MCR	REGW(DMA2_BASE+0x00)
	#define	DMA2_IR		REGW(DMA2_BASE+0x04)
	#define	DMA2_CCR	REGW(DMA2_BASE+0x08)
	#define	DMA2_CSR	REGB(DMA2_BASE+0x0A)
	#define	DMA2_FCR	REGB(DMA2_BASE+0x0B)
	#define	DMA2_SADR	REGL(DMA2_BASE+0x0C)
	#define	DMA2_DADR	REGL(DMA2_BASE+0x10)
	#define	DMA2_BTC	REGL(DMA2_BASE+0x14)


	#define	DMA_START 		0x01
	#define	DONE			0x40
	#define	BES				0x20
	#define	BED				0x10
	#define	CONF			0x08
	#define	BRKP			0x04
	#define	DMA_STS_BITS	(DONE+BES+BED+CONF+BRKP)

/****	Type Definitions */

typedef	struct
		{
		UWORD	mcr;
		UWORD	ir;
		UWORD	ccr;
		UBYTE	fcr;
		} DMACFG;

/****	Prototypes */

	#include	"dmamod.p"

/*************************************************************************/
