/*************************************************************************
Title........ types.h
Date......... Mon Jul  5 12:17:05  1999
Author....... J.M.Tarrant
*************************************************************************/


typedef	    char				BYTE;
typedef		signed short int	WORD;
typedef		signed int			LONG;

typedef		unsigned char		UBYTE;
typedef		unsigned short int	UWORD;
typedef		unsigned long int	ULONG;

	#define	TRUE  1
	#define	FALSE 0
	#define	NULL  0


/**-	define a register at an absolute address				*/

	#define	REGB(ADDR) (*(UBYTE *)(ADDR))
	#define	REGW(ADDR) (*(UWORD *)(ADDR))
	#define	REGL(ADDR) (*(ULONG *)(ADDR))

	#define	REGBV(ADDR) (*(volatile UBYTE *)(ADDR))
	#define	REGWV(ADDR) (*(volatile UWORD *)(ADDR))
	#define	REGLV(ADDR) (*(volatile ULONG *)(ADDR))

/**-	set or clear bits in a given location					*/

	#define	SET(bit,addr) 		addr=((addr) |  (bit))
	#define	CLEAR(bit,addr)		addr=((addr) & ~(bit))

