/************************************************************************/


#define FPGA_BASE	0x02000000		        /* Base CS2*/
#define MPX_BASE	(FPGA_BASE+0x80)        /* Base of MPX data regs */
#define MPX1_0_HI	(MPX_BASE)				/* Lamps, Period 0 data */
#define MPX1_0_LO	(MPX_BASE+0x02)			/* LEDs, Period 0 data */
#define MPX1_1_HI	(MPX_BASE+0x04)			/* Lamps, Period 1 data */
#define MPX1_1_LO	(MPX_BASE+0x06)			/* LEDs, Period 1 data */
#define MPX2_0_HI	(MPX_BASE+0x08)			/* Period 0 data for external MPX2 */	
#define MPX2_0_LO	(MPX_BASE+0x0a)			/* Period 0 data for external MPX2 */	
#define MPX2_1_HI	(MPX_BASE+0x0c)			/* Period 1 data for external MPX2 */	
#define MPX2_1_LO	(MPX_BASE+0x0e)			/* Period 1 data for external MPX2 */

/****	XCRA Bits */

#define	XCRA_MPXENB		0x40
#define	XCRA_SFXCLKINH	0x20
#define	XCRA_MPX2MODE	0x01

#define	XDRA_SDATA_ENB	0x80

/************************************************************************/
