/*************************************************************************
Title........ i2cdev.h
Date......... Wed Aug 25 08:51:54  1999
Author....... J.M.Tarrant
*************************************************************************/

/****	Defines */

	#define	SDA			(UBYTE)0x20
	#define	SCL			(UBYTE)0x10
	#define	BUS			(SDA | SCL)
	#define	I2C_READ_BT	(UBYTE)0x01


	#define	READ_SDA	(SDA & PORTA)
	#define	READ_SCL	(SCL & PORTA)

	#define	SET_SDA_HI	CLEAR(SDA, DDRA);
	#define	SET_SDA_LO	SET(SDA, DDRA);
	#define	SET_SCL_HI	CLEAR(SCL, DDRA);
	#define	SET_SCL_LO	SET(SCL, DDRA);
	#define	SET_BUS_LO	ClearPortA(BUS);

/****	Type Definitions */


/****	Prototypes */

	#include	"i2cint.p"

/*************************************************************************/
